BEGIN {
	endtime = systime() + timeout;
	dropHeaderCount = -1;
}

/^last pid/ {
	load1m = substr($6, 0, length($6)-1) * 100;
	load5m = substr($7, 0, length($7)-1) * 100;
}

/^CPU:/{
	cpuUsed = 100 - substr($10, 0, length($10)-1);
}

/^Mem:/{
	act   = kbytes($2);
	inact = kbytes($4);
	wired = kbytes($6);
	cache = kbytes($8);
	buf   = kbytes($10);
	free  = kbytes($12);

	memTotal = act+inact+wired+cache+buf+free;
	memUsed1 = (act+wired+cache) * 100 / memTotal;
	memUsed2 = (inact+buf) * 100 / memTotal;

	if (dropHeaderCount++ >= 0) {
		curtime = systime();
		logFile = logdir "/" strftime("top-%Y-%m-%d.log", curtime);
		datetime = strftime("%Y/%m/%d,%H:%M:%S", curtime);

		printf("%s,%d,%d,%d\n",
			datetime,cpuUsed,memUsed1,memUsed2) >> logFile;
		fflush(logFile);

		if (curtime > endtime) exit;
	}
}

func kbytes(size) {
	if (size ~ /M$/) {
		return substr(size, 0, length(size)-1) * 1048576;
	} else if (size ~ /K$/) {
		return substr(size, 0, length(size)-1) * 1024;
	}
	return size;
}



