#!/usr/local/bin/gawk -f

BEGIN {
	FS = ","; 

	print "set term png";
	print "set size 1,0.38";

	#printf("set output '%s'\n",outfile);

	print "set multiplot";

	print "set xrange [0:24]";
	print "set xtics 00,1,24";

	print "set title 'Temperature'";
	print "set ylabel 'Celsius'";

	cnt = 0;
	mode = "sps";
	disk_cnt = 1 ;
	max = 72 ;
}

$(NF)=="cpu"{
	disk_cnt = NF-3 ;
}

!/^#/{
	split($2,t,":");
	time[cnt]=sprintf("%02d.%02d",t[1],int(t[2]*100/60));
	cpu[cnt]=$3;
	mb[cnt]=$4

	if( cpu[cnt]>max ) max = cpu[cnt];
	cnt++;
}

END{
	printf( "set yrange [0:%d]\n",max );

	print "plot '-' title 'CPU' with line 1\\";
	print ", '-' title 'M/B' with line 3";

	for( i=0 ; i<cnt ; i++ ) print time[i],cpu[i];
	print "end";

	for( i=0 ; i<cnt ; i++ ) print time[i],mb[i];
	print "end";
}



	
